# redrover-api
No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: v1
- Package version: 1.5
- Build package: org.openapitools.codegen.languages.PythonClientCodegen

## Requirements.

Python 2.7 and 3.4+

## Installation & Usage
### pip install

If the python package is hosted on a repository, you can install directly using:

```sh
pip install git+https://github.com/edustaff/redrover-api.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/edustaff/redrover-api.git`)

Then import the package:
```python
import redrover_api
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import redrover_api
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python
from __future__ import print_function

import time
import redrover_api
from redrover_api.rest import ApiException
from pprint import pprint

# Defining the host is optional and defaults to http://localhost
# See configuration.py for a list of all supported configuration parameters.
configuration = redrover_api.Configuration(
    host = "http://localhost"
)

# The client must configure the authentication and authorization parameters
# in accordance with the API server security policy.
# Examples for each auth method are provided below, use the example that
# satisfies your auth use case.

# Configure HTTP basic authorization: basic
configuration = redrover_api.Configuration(
    username = 'YOUR_USERNAME',
    password = 'YOUR_PASSWORD'
)


# Enter a context with an instance of the API client
with redrover_api.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = redrover_api.ConnectionApi(api_client)
    id = 56 # int | 
org_id = 'org_id_example' # str | 
api_key = 'api_key_example' # str |  (optional)
accept = 'application/json' # str |  (optional) (default to 'application/json')
request_body = ['request_body_example'] # list[str] |  (optional)

    try:
        api_instance.api_org_id_connection_id_data_post(id, org_id, api_key=api_key, accept=accept, request_body=request_body)
    except ApiException as e:
        print("Exception when calling ConnectionApi->api_org_id_connection_id_data_post: %s\n" % e)
    
```

## Documentation for API Endpoints

All URIs are relative to *http://localhost*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*ConnectionApi* | [**api_org_id_connection_id_data_post**](docs/ConnectionApi.md#api_org_id_connection_id_data_post) | **POST** /api/{orgId}/connection/{id}/data | 
*ConnectionApi* | [**api_org_id_connection_id_download_get**](docs/ConnectionApi.md#api_org_id_connection_id_download_get) | **GET** /api/{orgId}/connection/{id}/download | 
*ConnectionApi* | [**api_org_id_connection_id_download_post**](docs/ConnectionApi.md#api_org_id_connection_id_download_post) | **POST** /api/{orgId}/connection/{id}/download | 
*OrganizationApi* | [**api_organization_get**](docs/OrganizationApi.md#api_organization_get) | **GET** /api/organization | 
*OrganizationApi* | [**api_organization_org_id_get**](docs/OrganizationApi.md#api_organization_org_id_get) | **GET** /api/organization/{orgId} | 
*ReferenceDataApi* | [**api_org_id_attribute_get**](docs/ReferenceDataApi.md#api_org_id_attribute_get) | **GET** /api/{orgId}/attribute | 
*ReferenceDataApi* | [**api_org_id_attribute_post**](docs/ReferenceDataApi.md#api_org_id_attribute_post) | **POST** /api/{orgId}/attribute | 
*SsoApi* | [**sso_logout_get**](docs/SsoApi.md#sso_logout_get) | **GET** /sso/logout | 
*SsoApi* | [**sso_zendesk_get**](docs/SsoApi.md#sso_zendesk_get) | **GET** /sso/zendesk | 
*SsoApi* | [**sso_zendesk_token_get**](docs/SsoApi.md#sso_zendesk_token_get) | **GET** /sso/zendesk/token | 
*UserApi* | [**api_org_id_administrator_id_get**](docs/UserApi.md#api_org_id_administrator_id_get) | **GET** /api/{orgId}/administrator/{id} | 
*UserApi* | [**api_org_id_administrator_post**](docs/UserApi.md#api_org_id_administrator_post) | **POST** /api/{orgId}/administrator | 
*UserApi* | [**api_org_id_employee_id_get**](docs/UserApi.md#api_org_id_employee_id_get) | **GET** /api/{orgId}/employee/{id} | 
*UserApi* | [**api_org_id_employee_post**](docs/UserApi.md#api_org_id_employee_post) | **POST** /api/{orgId}/employee | 
*UserApi* | [**api_org_id_substitute_get**](docs/UserApi.md#api_org_id_substitute_get) | **GET** /api/{orgId}/substitute | 
*UserApi* | [**api_org_id_substitute_id_get**](docs/UserApi.md#api_org_id_substitute_id_get) | **GET** /api/{orgId}/substitute/{id} | 
*UserApi* | [**api_org_id_substitute_post**](docs/UserApi.md#api_org_id_substitute_post) | **POST** /api/{orgId}/substitute | 
*UserApi* | [**api_org_id_user_id_delete**](docs/UserApi.md#api_org_id_user_id_delete) | **DELETE** /api/{orgId}/user/{id} | 
*VacancyApi* | [**api_org_id_vacancy_details_get**](docs/VacancyApi.md#api_org_id_vacancy_details_get) | **GET** /api/{orgId}/vacancyDetails | 


## Documentation For Models

 - [AbsenceReasonTrackingTypeEnum](docs/AbsenceReasonTrackingTypeEnum.md)
 - [AccessControlDto](docs/AccessControlDto.md)
 - [AccessControlResponse](docs/AccessControlResponse.md)
 - [AccountingCode](docs/AccountingCode.md)
 - [AccountingCodeAllocation](docs/AccountingCodeAllocation.md)
 - [AdministratorDto](docs/AdministratorDto.md)
 - [AdministratorResponse](docs/AdministratorResponse.md)
 - [Assembly](docs/Assembly.md)
 - [AttributeDto](docs/AttributeDto.md)
 - [AttributeResponse](docs/AttributeResponse.md)
 - [CallingConventions](docs/CallingConventions.md)
 - [ConstructorInfo](docs/ConstructorInfo.md)
 - [CountryEnum](docs/CountryEnum.md)
 - [CustomAttributeData](docs/CustomAttributeData.md)
 - [CustomAttributeNamedArgument](docs/CustomAttributeNamedArgument.md)
 - [CustomAttributeTypedArgument](docs/CustomAttributeTypedArgument.md)
 - [DayOfWeek](docs/DayOfWeek.md)
 - [EmployeeDto](docs/EmployeeDto.md)
 - [EmployeeResponse](docs/EmployeeResponse.md)
 - [EventAttributes](docs/EventAttributes.md)
 - [EventInfo](docs/EventInfo.md)
 - [FieldAttributes](docs/FieldAttributes.md)
 - [FieldInfo](docs/FieldInfo.md)
 - [FileFormat](docs/FileFormat.md)
 - [GenericParameterAttributes](docs/GenericParameterAttributes.md)
 - [Int32Locator](docs/Int32Locator.md)
 - [LayoutKind](docs/LayoutKind.md)
 - [MemberInfo](docs/MemberInfo.md)
 - [MemberTypes](docs/MemberTypes.md)
 - [MethodAttributes](docs/MethodAttributes.md)
 - [MethodBase](docs/MethodBase.md)
 - [MethodImplAttributes](docs/MethodImplAttributes.md)
 - [MethodInfo](docs/MethodInfo.md)
 - [Module](docs/Module.md)
 - [ModuleHandle](docs/ModuleHandle.md)
 - [NeedsReplacementEnum](docs/NeedsReplacementEnum.md)
 - [OrgUserRoleFlag](docs/OrgUserRoleFlag.md)
 - [OrganizationResponse](docs/OrganizationResponse.md)
 - [ParameterAttributes](docs/ParameterAttributes.md)
 - [ParameterInfo](docs/ParameterInfo.md)
 - [PayCode](docs/PayCode.md)
 - [PositionAccountingCodeDto](docs/PositionAccountingCodeDto.md)
 - [PositionDto](docs/PositionDto.md)
 - [PositionScheduleDto](docs/PositionScheduleDto.md)
 - [PositionScheduleItemDto](docs/PositionScheduleItemDto.md)
 - [ProblemDetails](docs/ProblemDetails.md)
 - [PropertyAttributes](docs/PropertyAttributes.md)
 - [PropertyInfo](docs/PropertyInfo.md)
 - [Reason](docs/Reason.md)
 - [ReplacementCriteriaDto](docs/ReplacementCriteriaDto.md)
 - [RuntimeFieldHandle](docs/RuntimeFieldHandle.md)
 - [RuntimeMethodHandle](docs/RuntimeMethodHandle.md)
 - [RuntimeTypeHandle](docs/RuntimeTypeHandle.md)
 - [SecurityRuleSet](docs/SecurityRuleSet.md)
 - [SimpleAbsenceDetail](docs/SimpleAbsenceDetail.md)
 - [SimpleLocation](docs/SimpleLocation.md)
 - [SimplePerson](docs/SimplePerson.md)
 - [SimplePosition](docs/SimplePosition.md)
 - [StateEnum](docs/StateEnum.md)
 - [StructLayoutAttribute](docs/StructLayoutAttribute.md)
 - [SubstituteAttributeDto](docs/SubstituteAttributeDto.md)
 - [SubstituteDto](docs/SubstituteDto.md)
 - [SubstitutePreferencesDto](docs/SubstitutePreferencesDto.md)
 - [SubstituteRelatedOrgDto](docs/SubstituteRelatedOrgDto.md)
 - [SubstituteResponse](docs/SubstituteResponse.md)
 - [TimeOffBalanceDto](docs/TimeOffBalanceDto.md)
 - [TimeSpan](docs/TimeSpan.md)
 - [Type](docs/Type.md)
 - [TypeAttributes](docs/TypeAttributes.md)
 - [TypeInfo](docs/TypeInfo.md)
 - [VacancyDetailResponse](docs/VacancyDetailResponse.md)


## Documentation For Authorization


## basic

- **Type**: HTTP basic authentication


## Author

contact@edustaff.org


